<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>homework7</title>

</head>

<body>

    <script>
        "use strict"

        function CreateNewUser() {
            Object.defineProperty(this, "firstName", {
                value: prompt("Enter your firstName"),
                writable: false,
                configurable: true,
                enumerable: true
            });
            Object.defineProperty(this, "lastName", {
                value: prompt("Enter your lastName"),
                writable: false,
                configurable: true,
                enumerable: true
            });
            this.getLogin = function() {
                return (this.firstName.charAt(0) + "." + this.lastName).toLowerCase()
            };

            this.setFirstName = function() {
                Object.defineProperty(this, "firstName", {
                    writable: true
                });
                this.firstName = prompt(" You are trying to rewrite Meaning If you agree, enter a new one.");
                console.log(this.firstName)
                Object.defineProperty(this, "firstName", {
                    writable: false
                });

            };
            this.setLastName = function() {
                Object.defineProperty(this, "lastName", {
                    writable: true
                });
                this.lastName = prompt(" You are trying to rewrite Meaning If you agree, enter a new one.");
                console.log(this.lastName)
                Object.defineProperty(this, "lastName", {
                    writable: false
                });
            }
        }


        let user = new CreateNewUser();
        console.log(user); // вывод нового объекта в консоль;
        console.log(typeof user);
        console.log(user.getLogin());
        
        alert("Хотите изменить Значение ?");
        user.setFirstName();
        user.setLastName();
        console.log(user); // вывод нового объекта в консоль;
        
    </script>

</body>

</html>
